
#include "HotHelp.h"
#include <Functions.h>
#include <StdIO.h>


struct HotHelpBase *    HotHelpBase;


VOID main (VOID)
   {
   if (HotHelpBase = OpenLibrary ("hothelp.library", 3))
      {
      LONG  error;
      LONG  id;

      /*
         Dies ist die einfachste Mglichkeit, ein HotHelp-Fenster zu
         ffnen. Das Fenster ffnet sich auf der Workbench (dritter und
         vierter Parameter NULL), nimmt dieselbe Position und Gre ein
         wie das zuletzt geffnete HotHelp-Fenster und enthlt die
         HotHelp-Startseite.
      */
      error = HH_EasyHelp ("HotHelp", "Startseite", NULL, NULL, TRUE, FALSE);
      if (error)
         printf ("Fehler %ld ist aufgetreten!\n", error);

      /*
         Der folgende Aufruf prsentiert eine der Neuerungen der Version
         3.00: Asynchrone HotHelp-Fenster, die als eigener Prozess
         parallel zum eigentlichen Hauptprogramm arbeiten. Sie knnen am
         einfachsten ber den hier verwendeten Aufruf erzeugt werden.
      */
      id = HH_EasyASyncHelp ("HotHelp", "Startseite", NULL, NULL, TRUE,
                                                                  FALSE);
      if (! id)
         printf ("Asynchrones Fenster konnte nicht geffnet werden!\n");
      else
         {
         BYTE  answer [50];

         printf ("\nDas asynchrone Fenster ist offen (ID = %ld)\n"
                 "und luft parallel zu unserem Programm!\n\n"
                 "Soll das Fenster bei Beendigung des Programms\n"
                 "geschlossen werden? (j/n) ", id);
         gets (answer);

         if (answer [0] == 'j')
            HH_ASyncCloseWindow (id);
         else if (! HH_ASyncCheckWindow (id))
            printf ("Sie haben das Fenster ja schon selber geschlossen!\n");
         else
            printf ("Das Beispiel-Programm wird nun beendet;\n"
                    "das HotHelp-Fenster bleibt aber noch offen!\n");
         }

      CloseLibrary (HotHelpBase);
      }
   else
      printf ("Fehler bei HotHelpBase\n");
   }


